TULISAN - Feature #3559

Penambahan Flag Include Address in Invoice [CRM]
04/14/2025 09:59 AM - haykal haykal

Status: Closed Start date: 04/14/2025
Priority: High Due date: 04/16/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Shofwan,

Di page Checkout CRM ingin ditambahkan button untuk memilih Include Address in Invoice, pilihannya Yes or No (Foto 1).

Apabila dia memilih Yes maka mengambil dari field Address yang ada di Customer Master Data. Tapi kalau dia pake Guest atau
Customernya tidak terdaftar Addressnya di Customer Master Data, maka mengambil dari field Alamat Pengiriman yg diisikan di page

Checkout.

Nanti kalau Yes di Invoicenya tolong ditambahkan row baru lagi namanya 'Shipping Address' (Foto 2). Kalau No biarkan saja seperti
saat ini.

Terimakasih.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Checkout
Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 04/14/2025 10:51 AM - Kezia Pawitra Yulianti
- Due date set to 04/16/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 04/14/2025 06:09 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to haykal haykal

Kalau mau ditambahkan seperti ini, berarti di sales header juga harus ada field IncludeAdress ,
nanti cari CRM akan diisi 0 atau 1, nah kalau 0 berarti no, kalau 1 yes,

kemudian di struk akan cek yg include akan di munculkan adress, sementara yg no tidak akan muncul.
#3 - 04/15/2025 09:32 AM - haykal haykal

- Assignee changed from haykal haykal to shofwan shiddiq

lya, udh ada Wan di PTRSALESHEADER.

Nama fieldnya Addrincludelnvoice

#4 - 04/15/2025 10:13 AM - shofwan shiddiq

- File clipboard-202504150945-84ij7.png added

- File clipboard-202504.150949-euprk.png added

- File clipboard-202504151011-tidjv.png added

- File clipboard-202504151012-puxsp.png added

- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to haykal haykal
https://tulisan-ecommerce-dev.minovais.com/ECommerce_Checkout
https://tulisan-dev.minovais.com/

Dear Haykal,

Fitur include address sudah di tambahkan di Menu Checkout dan Pre-Order

Large Tablet Pouch (X3)
Rp. 308,000~

Rp. 154,000,-

Edition 2236 h'ﬂ
Size Large

Color Violet Aubergine

| select Discount

®1+

Include Address
Notes

Submit Pre Order Including Addrass

Alamat Pengiriman

Ruka lcon Business Park BSD City

Metode Pengiriman

TIKI v

r

Biaya Pengiriman

Rp 8.000

Total Pesanan 1Produk

Total Price
Rp. 162,000,-

1. Apabila user check include address, maka akan tersave ke field Addrincludelnvoice di table Sales Header
2. Dokumen yang Addrincludelnvoice ter check maka akan tampil data Shipping Address nya di invoice

3. Contoh DocNo ='00000486', Include Address nya di check sehingga tampil distruk
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction ID No : 00000486

Personal Shopper : shofwan

Customer Name : Daisy Edgar Jones

Date/Time : 20250415/ 10:08

Shipping Address : Ruko Northridge Blok B2 No.6

-~ [

qQry ITEM PRICE
1 WCH2305-YS-NA Rp.272.800
AMA-BUNDLING-2 (10%) (Rp.24.800)
1 HKS2236-VA-S Rp.235.200
Books 50 - Reseller (40%) (Rp.67.200)
SUBTOTAL Rp.508.000
DISCOUNT Rp.92.000
SHIPPING & DELIVERY Rp.5.000
TOTAL Rp.421.000
CASHLESS PAYMENT Rp.421.000
SYARAT & KETENTUAN:

1. Harga sudah termasuk PPN.

2. Barang yang sudah dibeli tidak dapat dikernbalikan atau ditukar, kecuali terdapat
cacat produksi atau kesalahan pengiriman dari Tulisan.

3. Pengembalian atau penukaran harus diajukan dalam waktu maksimal 3 hari setelah
barang diterima.

4. Produk yang telah ditandatangani/dimodifikasi/digunakan/dicuci/dirusak oleh
pelanggan tidak dapat dikembalikan atau ditukar,

5. Dengan mengisi informasi pelanggan seperti nama, email dan nomor telepon maka
pelanggan menyetujui bahwa informasi tersebut dapat digunakan cleh Tulisan untuk
menghubungi pengguna baik untuk pemasaran ataupun administrasi.

TERMS & CONDITIONS:

4. Contoh DocNo = '00000476', Include address nya tidak check sehingga shipping address tidak tampil
Download PDF

”7?(41 @1t

Toko DS

0001
Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction ID No : 00000476
Personal Shopper : shofwan
Customer Name : Hania

Date/Time : 20250414 /7 10:27

Shipping Address -

QrY ITEM PRICE
1 WAC2305-YS-NA Rp.268.000
null (Rp.134.000)
SUEBTOTAL Rp.268.000
DISCOUNT Rp.134.000
SHIPPING & DELIVERY Rp.10.000
TOTAL Rp.144.000
CASHLESS PAYMENT Rp.144.000

e Untuk ngetest jangan lupa refresh di browser page checkout, history, receipt

#5 - 04/15/2025 11:35 AM - haykal haykal

- File Foto 1 Harusnya Include Address in Invoice.png added

- File Foto 2 Tulisan Shipping Address tidak perlu dimunculkan.png added
- File Shipping Address belum muncul.png added

- File Foto 4 Include Address in Invoice masih kosong.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,

Ada beberapa catatan:
1. Yg di Foto 1 tolong ditambahkan tulisan in Invoice ya. Jadi harusnya tulisannya 'Include Address in Invoice'
2. Kalau misalkan dia gak centang Include Address harusnya di Invoicenya tidak perlu ada tulisan Shipping Address (dihilangkan saja) [Foto 2]

3. Tadi saya coba transaksi dengan mencentang Include Address tapi Shipping Addressnya belum muncul di Invoice (Foto 3). Tadi saya
menggunakan customer Daisy Edgar Jones dan dia sudah punya data Address di Customer Master Data.

4. Untk transaksi yang saya lakukan di No. 3 tadi, saya cek dokumen Sales Ordernya (DocNo 00000491). Tapi untk field Include Addres in Invoice
blm terisi (harusnya Yes) [Foto 4]

Tolong diperbaiki ya.

Terimakasih.

#6 - 04/15/2025 12:22 PM - shofwan shiddiq

- File clipboard-202504151217-kctjm.png added
- File clipboard-202504151218-c3pub.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

1. Done

&« Checkout

ID Pembeli 00000007

Nama Permbeeli Hania
Puisi Tote
Rp. 400,000,-
Edition 2410
Size All —
Color Nero Indigo Im

| Select Discount v

o -

Include Address in Invoice
MNotes

rfambahkan Motes

Alamat Pengiriman

Tarnbahkan Alamat Pengiriman... (Optional)

Metode Pengiriman

None v

Total Price

Rp. 400,000,-

Checkout

2. DocNo 00000476 shipping address nya not include, sehingga tidak muncul Shipping Address judul dan address nya
Download PDF
Toko DS

0001
Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction ID No - 00000476

Personal Shopper : shofwan

Customer Name - Hania

Date/Time 20250414 /10:27

]
qQry ITEM PRICE
1 WAC2305-YS-NA Rp.268.000

null (Rp.134.000)

SUBTOTAL Rp.268.000

DISCOUNT Rp.134.000

SHIPPING & DELIVERY Rp.10.000

TOTAL Rp.144.000

CASHLESS PAYMENT Rp.144.000

3. Skenario mengecek address customer, apabila address customer kosong maka barulah Shipping Address di sales header yg di munculkan

4. DocNo 00000491 value 1 sudah tersimpan di database dan sudah terbaca flag nya, masalah tampil enggak nya di ES itu issue settingan di
SDATATABLEFIELD nya aja, lagi pula gak perlu dilihat juga di ES flag nya, yg penting bisa kebaca flag nya pada saat mau melihat struk

e Jangan lupa di refresh page nya, untuk struk terkadang cache nya suka nyangkut di browser karena dia pakai iframe. jadi perlu di clear cache

browser juga kadang2 kalau mau test, atau bisa test di incognito

#7 - 04/16/2025 02:02 PM - haykal haykal
- Status changed from QA Test to Closed

Files

Tambahkan button Include Address in Invoice.png 35 KB 04/14/2025 haykal haykal

Shipping Address.png 20.5 KB 04/14/2025 haykal haykal

clipboard-202504150945-84ij7.png 67.7 KB 04/15/2025 shofwan shiddiq

clipboard-202504150949-euprk.png 55.6 KB 04/15/2025 shofwan shiddiq
clipboard-202504151011-tidjv.png
clipboard-202504151012-puxsp.png

Foto 1 Harusnya Include Address in Invoice.png

Foto 2 Tulisan Shipping Address tidak perlu dimunculkan.png
Shipping Address belum muncul.png

Foto 4 Include Address in Invoice masih kosong.png
clipboard-202504151217-kctjm.png
clipboard-202504151218-c3pub.png
